AOZ Studio Beta - Bug #566

RGB#$(r,g,b) is not working.
11/12/2020 05:46 PM - Brian Flanagan

Status:
Priority:
Assignee:
Category:
Target version:

Affected version:

Resolved

Normal

Francois Lionet

Beta 1

Start date:
Due date:

% Done:

Estimated time:

11/12/2020

0%
1:00 hour

Description
Example:

' Broken syntax:

Print RGBS ($FF,0,0),RGBS (255,0,0) ' both should be FF0000

Print RGBS
Print RGBS

Print RGBS
Print RGBS
Print

' Working syntax:

(

(0,0, SFF) , RGBS
Print RGBS (SFF, 128, SOF)

(

(

Print RGBS (SFFFFFF) !

Print RGBS

Print RGBS (255)

(SFF0000) '
Print RGB$ ($O00FF00) '
(

v

$01,%$02,5%03) ' should be
SFF, SFF, SFF),

should be
should be
should be
should be

FFFFFF
FF0000
00FFO00
0000FF

FF800F
010203
RGBS (255,255, 255)

(

0,$FF,0),RGBS$ (0,255,0) ' both should be 00FFO00
(0,0,255) ' both should be 0000FF
' should be

both should be FFFFFF

History

#1 - 11/17/2020 12:53 AM - Francois Lionet

- Status changed from New to Resolved

- Assignee set to Francois Lionet

- Target version set to Beta 1

Fixed!
